summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/PR_revision.log1
-rwxr-xr-xci/build.sh20
-rwxr-xr-xci/deploy.sh19
-rwxr-xr-xci/test.sh33
4 files changed, 44 insertions, 29 deletions
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index 0b479c65..ea30648a 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -7,3 +7,4 @@
21,Serialize db_sync calls and increase sql-sleep timer
23,Fix odl env files
25,Force metadata on all scenarios
+26,Fixes ODL ML2 IP
diff --git a/ci/build.sh b/ci/build.sh
index 1bd96d53..dd9f9fd1 100755
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -34,7 +34,6 @@ BUILD_BASE=$(readlink -e ../build/)
CACHE_DEST=""
CACHE_DIR="cache"
CACHE_NAME="apex-cache"
-PYTHON_TESTS="TRUE"
MAKE_TARGETS="images"
REQUIRED_PKGS="rpm-build python-docutils"
@@ -64,11 +63,6 @@ parse_cmdline() {
echo "Buiding opnfv-apex RPMs"
shift 1
;;
- --skip-python-tests )
- PYTHON_TESTS="FALSE"
- echo "Skipping Python Tests"
- shift 1
- ;;
--debug )
debug="TRUE"
echo "Enable debug output"
@@ -151,20 +145,6 @@ if ! rpm -q python34-devel > /dev/null; then
fi
fi
-if [ "$PYTHON_TESTS" == "TRUE" ]; then
- # Make sure coverage is installed
- if ! python3 -c "import coverage" &> /dev/null; then sudo easy_install-3.4 coverage; fi
-
- run_make python-tests
- pushd ../tests/ > /dev/null
- percent=$(coverage3 report --include '*lib/python/*' -m | grep TOTAL | tr -s ' ' | awk '{ print $4 }' | cut -d % -f 1)
- if [[ percent -lt 80 ]]; then
- echo "Python Coverage: $percent"
- echo "WARNING: Does not meet 80% requirement"
- fi
- popd
-fi
-
# Execute make against targets
for t in $MAKE_TARGETS; do
run_make $t
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 7de3c7fc..5fcc3887 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -40,7 +40,7 @@ DEPLOY_OPTIONS=""
CONFIG=${CONFIG:-'/var/opt/opnfv'}
RESOURCES=${RESOURCES:-"$CONFIG/images"}
LIB=${LIB:-"$CONFIG/lib"}
-OPNFV_NETWORK_TYPES="admin_network private_network public_network storage_network"
+OPNFV_NETWORK_TYPES="admin_network private_network public_network storage_network api_network"
VM_CPUS=4
VM_RAM=8
@@ -51,6 +51,7 @@ NET_MAP['admin_network']="br-admin"
NET_MAP['private_network']="br-private"
NET_MAP['public_network']="br-public"
NET_MAP['storage_network']="br-storage"
+NET_MAP['api_network']="br-api"
ext_net_type="interface"
ip_address_family=4
@@ -1004,9 +1005,9 @@ EOI
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source overcloudrc
echo "Keystone Endpoint List:"
-keystone endpoint-list
+openstack endpoint list
echo "Keystone Service List"
-keystone service-list
+openstack service list
cinder quota-show \$(openstack project list | grep admin | awk {'print \$2'})
EOI
fi
@@ -1024,14 +1025,14 @@ function configure_post_install {
source overcloudrc
set -o errexit
echo "Configuring Neutron external network"
-neutron net-create external --router:external=True --tenant-id \$(keystone tenant-get service | grep id | awk '{ print \$4 }')
-neutron subnet-create --name external-net --tenant-id \$(keystone tenant-get service | grep id | awk '{ print \$4 }') --disable-dhcp external --gateway ${public_network_gateway} --allocation-pool start=${public_network_floating_ip_range%%,*},end=${public_network_floating_ip_range##*,} ${public_network_cidr}
+neutron net-create external --router:external=True --tenant-id \$(openstack project show service | grep id | awk '{ print \$4 }')
+neutron subnet-create --name external-net --tenant-id \$(openstack project show service | grep id | awk '{ print \$4 }') --disable-dhcp external --gateway ${public_network_gateway} --allocation-pool start=${public_network_floating_ip_range%%,*},end=${public_network_floating_ip_range##*,} ${public_network_cidr}
echo "Removing swift endpoint and service"
-swift_service_id=\$(keystone service-list | grep swift | cut -d ' ' -f 2)
-swift_endpoint_id=\$(keystone endpoint-list | grep \$swift_service_id | cut -d ' ' -f 2)
-keystone endpoint-delete \$swift_endpoint_id
-keystone service-delete \$swift_service_id
+swift_service_id=\$(openstack service list | grep swift | cut -d ' ' -f 2)
+swift_endpoint_id=\$(openstack endpoint list | grep swift | cut -d ' ' -f 2)
+openstack endpoint delete \$swift_endpoint_id
+openstack service delete \$swift_service_id
EOI
echo -e "${blue}INFO: Checking if OVS bridges have IP addresses...${reset}"
diff --git a/ci/test.sh b/ci/test.sh
new file mode 100755
index 00000000..0f2bc046
--- /dev/null
+++ b/ci/test.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+##############################################################################
+# Copyright (c) 2016 Dan Radez (Red Hat)
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+# Make sure python is installed
+if ! rpm -q python34-devel > /dev/null; then
+ sudo yum install -y epel-release
+ if ! sudo yum install -y python34-devel; then
+ echo "Failed to install python34-devel package..."
+ exit 1
+ fi
+fi
+
+# Make sure coverage is installed
+if ! python3 -c "import coverage" &> /dev/null; then sudo easy_install-3.4 coverage; fi
+
+make python-tests
+pushd ../tests/ > /dev/null
+percent=$(coverage3 report --include '*lib/python/*' -m | grep TOTAL | tr -s ' ' | awk '{ print $4 }' | cut -d % -f 1)
+if [[ percent -lt 80 ]]; then
+ echo "Python Coverage: $percent"
+ echo "Does not meet 80% requirement"
+ exit 1
+fi
+popd > /dev/nul